	SUBROUTINE VOIDRI(EZERO,COORDS,NOEL)
C
      INCLUDE 'ABA_PARAM.INC'
C
      DIMENSION COORDS(3)
C
	E1=1.3 
      Y=COORDS(2)
	VSTRESS=15.*(10.-Y)
	HSTRESS=0.5*VSTRESS
	P=(VSTRESS+2.*HSTRESS)/3.0
	Q=VSTRESS-HSTRESS
	FL=0.06
	FK=0.006
	FM=1.33
	EZERO=E1-FL*LOG(Q*Q/FM/FM/P+P)+FK*LOG(Q*Q/FM/FM/P/P+1.0)
	RETURN
      END

